Bug 1276916 - [abrt] gnome-abrt: application.py:39:find_application:ValueError: invalid literal for int() with base 10: dbus.String('GVa')
[abrt] gnome-abrt: application.py:39:find_application:ValueError: invalid lit...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5796e9250c8381a2fb8b6b716a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 04:40 EST by raulmanga18
Modified: 2016-11-30 19:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:23:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.19 KB, text/plain)
2015-11-01 04:40 EST, raulmanga18
no flags Details
File: environ (897 bytes, text/plain)
2015-11-01 04:40 EST, raulmanga18
no flags Details

  None (edit)
Description raulmanga18 2015-11-01 04:40:28 EST
Version-Release number of selected component:
gnome-abrt-1.2.0-3.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt
executable:     /usr/bin/gnome-abrt
kernel:         4.2.3-200.fc22.i686+PAE
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
application.py:39:find_application:ValueError: invalid literal for int() with base 10: dbus.String('GVa')

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/gnome_abrt/views.py", line 524, in _on_source_btn_clicked
    res, old_source = self._switch_source(btn.source)
  File "/usr/lib/python3.4/site-packages/gnome_abrt/views.py", line 546, in _switch_source
    self._reload_problems(source)
  File "/usr/lib/python3.4/site-packages/gnome_abrt/views.py", line 683, in _reload_problems
    storage_problems.append(problem_to_storage_values(p))
  File "/usr/lib/python3.4/site-packages/gnome_abrt/views.py", line 129, in problem_to_storage_values
    app = problem.get_application()
  File "/usr/lib/python3.4/site-packages/gnome_abrt/problems.py", line 276, in get_application
    self['component'])
  File "/usr/lib/python3.4/site-packages/gnome_abrt/application.py", line 39, in find_application
    app = wrappers.get_app_for_env(envp.split('\n'), int(pid))
ValueError: invalid literal for int() with base 10: dbus.String('GVa')

Local variables in innermost frame:
app: None
cmdline: dbus.String('[Invalid UTF-8]')
component: None
pid: dbus.String('GVa')
envp: dbus.String('[Invalid UTF-8]')
Comment 1 raulmanga18 2015-11-01 04:40:32 EST
Created attachment 1088321 [details]
File: backtrace
Comment 2 raulmanga18 2015-11-01 04:40:33 EST
Created attachment 1088322 [details]
File: environ
Comment 3 Fedora End Of Life 2016-07-19 14:23:29 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.